# Class CeaConfig

java.lang.Object
uk.ac.starlink.ttools.cea.CeaConfig

public class CeaConfig extends Object
Class which defines schema-specific details of a CEA configuration file to be written by a `CeaWriter` object.

Since:
  1 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CeaConfig(ElementDeclaration interfacesEl, ElementDeclaration parametersEl, ElementDeclaration parameterEl)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ElementDeclaration`
`getInterfacesElement()`
Returns declaration to use for the Interfaces element.
`ElementDeclaration`
`getParameterElement()`
Returns declaration to use for the Parameter element.
`ElementDeclaration`
`getParametersElement()`
Returns declaration to use for the Parameters element.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CeaConfig

public CeaConfig(ElementDeclaration interfacesEl, ElementDeclaration parametersEl, ElementDeclaration parameterEl)
Constructor.

Parameters:
  `interfacesEl` - declaration for Interfaces element
  `parametersEl` - declaration for Parameters element
  `parameterEl` - declaration for Parameter element

## Method Details

### getInterfacesElement

public ElementDeclaration getInterfacesElement()
Returns declaration to use for the Interfaces element.

Returns:
  element

### getParametersElement

public ElementDeclaration getParametersElement()
Returns declaration to use for the Parameters element.

Returns:
  element

### getParameterElement

public ElementDeclaration getParameterElement()
Returns declaration to use for the Parameter element.

Returns:
  element